Skip to navigation

Update theme (partial update)

Updates a theme in your Typeform account. NOTE: You can’t change Typeform’s public themes (the built-in themes that are available in all accounts). This endpoint support partial payloads. It enables a caller to update a theme by providing only a subset of fields that need to be updated, leaving the rest of the theme definition unaltered. Each provided field must be complete though; for instance, if one decides to update the colors field, then all its subfields must be provided. Failing that, the request will be considered invalid.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

theme_idstringRequired
Unique ID for the theme.

Request

Theme request payload, which may contain a subset of supported fields. Each field must contain all its required fields though.
namestringOptional
Name of the theme.
fontstringOptional
Font for the theme.
backgroundanyOptional
colorsanyOptional
fieldsobjectOptional
Defines font size and alignment for fields.
screensobjectOptional
Defines font size and alignment for welcome and thankyou screens.
has_transparent_buttonbooleanOptional

true if buttons should be transparent. Otherwise, false.

rounded_cornersstringOptional
Specifies border radius style of buttons and other elements in the form.
visibilitystringOptional
Specifies whether the theme is public or private.

Response

OK